Subject: Re: [PATCH] generic RTC support for PPC

From: Kim Phillips <[email-masked]>
Date: Tue, 6 Feb 2007 19:55:29 -0600

On Tue, 6 Feb 2007 10:16:55 -0600
Kumar Gala <[email-masked]> wrote:

> 
> On Feb 6, 2007, at 9:24 AM, Olof Johansson wrote:
> 
> > On Tue, Feb 06, 2007 at 08:40:33AM -0600, Kumar Gala wrote:
> >>
> >> On Feb 6, 2007, at 5:08 AM, Paul Mackerras wrote:
> >>
> >>> Olof Johansson writes:
> >>>
> >>>> Make the PPC RTC functions use the generic RTC infrastructure if  
> >>>> they
> >>>> are not already defined (and an RTC is registered in the system).
> >>>>
> >>>> This should make it possible to remove the hideous direct access  
> >>>> used
> >>>> in some of the 83xx platforms.
> >>>
> >>> What was the consensus in the end about this?  Should it go in for
> >>> 2.6.21?
> >>
> >> Are the "scheduling while atomic" issues that existed before actually
> >> been fixed?
> >>
> >> http://marc.theaimsgroup.com/?l=linux-kernel&m=116378523012349&w=2
> >
> > My patch shouldn't do it since it uses a work queue, but that bug  
> > report
> > was for the rtc class api instead of genrtc. It'll need something  
> > similar.
> >
> > I can't even find the rtc_class_hookup code in 2.6.20, so I'm not sure
> > just what he was running.
> 
> Not 100% sure but we did back out some of the patches to arch/powerpc  
> code related to this.
> 
hwclock works fine here without this patch.  So unless there is a dependency I'm unaware of, this patch should not go into 2.6.21.

I'll send a patch out to remove the ds1374_[gs]et_rtc_time cruft from the 83xxMDS platform files when the ds1374 rtc class support patch goes in.

Kim